# Uses of Interface
org.eclipse.birt.chart.model.component.Needle

Packages that use Needle
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of Needle in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Needle
Modifier and Type
Method
Description
`Needle`
Needle.`copyInstance()`
`Needle`
ComponentFactory.`createNeedle()`
Returns a new object of class 'Needle'.

## Uses of Needle in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Needle
Modifier and Type
Class
Description
`class`
`NeedleImpl`
An implementation of the model object 'Needle'.
Methods in org.eclipse.birt.chart.model.component.impl that return Needle
Modifier and Type
Method
Description
`Needle`
NeedleImpl.`copyInstance()`
`static final Needle`
NeedleImpl.`create()`
`static final Needle`
NeedleImpl.`createDefault()`
`Needle`
ComponentFactoryImpl.`createNeedle()`

## Uses of Needle in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Needle
Modifier and Type
Method
Description
`Needle`
DialSeries.`getNeedle()`
Returns the value of the 'Needle' containment reference.
Methods in org.eclipse.birt.chart.model.type with parameters of type Needle
Modifier and Type
Method
Description
`void`
DialSeries.`setNeedle(Needle value)`
Sets the value of the '`Needle`' containment reference.

## Uses of Needle in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Needle
Modifier and Type
Method
Description
`Needle`
DialSeriesImpl.`getNeedle()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Needle
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
DialSeriesImpl.`basicSetNeedle(Needle newNeedle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
DialSeriesImpl.`setNeedle(Needle newNeedle)`